Bug 780366 - (SOA-2775) CXF: OneWay methods called through webservice producer throws exception due to missing integration method
CXF: OneWay methods called through webservice producer throws exception due t...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.1.0.ER6
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.1.0.ER8
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-14 10:10 EST by Jiri Pechanec
Modified: 2011-02-17 02:44 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 02:44:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2775 None None None Never

  None (edit)
Description Jiri Pechanec 2011-01-14 10:10:44 EST
project_key: SOA

Try webservice_producer, message_02, in server you will see the exception
16:08:17,103 WARNING [PhaseInterceptorChain] Interceptor for {http://webservice_producer/goodbyeworld}GoodbyeWorldWSService#{http://webservice_producer/goodbyeworld}sayGoodbyeWithoutResponse has thrown exception, unwinding now
java.lang.UnsupportedOperationException: Not yet supported
	at org.jboss.soa.esb.actions.soap.adapter.SOAPProcessorHttpServletResponse.setContentLength(SOAPProcessorHttpServletResponse.java:317)
	at org.apache.cxf.transport.http.AbstractHTTPDestination.flushHeaders(AbstractHTTPDestination.java:536)
	at org.apache.cxf.transport.http.AbstractHTTPDestination$WrappedOutputStream.close(AbstractHTTPDestination.java:622)
	at org.apache.cxf.transport.AbstractConduit.close(AbstractConduit.java:66)
	at org.apache.cxf.interceptor.OneWayProcessorInterceptor.handleMessage(OneWayProcessorInterceptor.java:89)
	at org.apache.cxf.phase.PhaseInterceptorChain.doIntercept(PhaseInterceptorChain.java:243)
	at org.apache.cxf.transport.ChainInitiationObserver.onMessage(ChainInitiationObserver.java:109)
	at org.apache.cxf.transport.servlet.ServletDestination.invoke(ServletDestination.java:98)
	at org.apache.cxf.transport.servlet.ServletController.invokeDestination(ServletController.java:406)
	at org.jboss.wsf.stack.cxf.ServletControllerExt.invoke(ServletControllerExt.java:173)
	at org.jboss.wsf.stack.cxf.RequestHandlerImpl.handleHttpRequest(RequestHandlerImpl.java:61)
	at org.jboss.soa.esb.actions.soap.SOAPProcessor.process(SOAPProcessor.java:224)
	at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.processPipeline(ActionProcessingPipeline.java:649)
	at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.processPipeline(ActionProcessingPipeline.java:603)
	at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.process(ActionProcessingPipeline.java:433)
	at org.jboss.soa.esb.listeners.message.MessageAwareListener$TransactionalRunner.run(MessageAwareListener.java:550)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)
Comment 1 Kevin Conner 2011-01-14 10:25:12 EST
Link: Added: This issue depends JBESB-3559
Comment 2 Kevin Conner 2011-01-18 06:31:16 EST
Link: Added: This issue depends JBESB-3562
Comment 3 Kevin Conner 2011-01-18 06:51:34 EST
Updated in ESB codebase
Comment 4 Kevin Conner 2011-01-24 09:44:44 EST
Changing fix version
Comment 5 Jiri Pechanec 2011-02-02 04:45:14 EST
Verified in ER8
Comment 6 Dana Mison 2011-02-17 02:44:45 EST
Release Notes Docs Status: Added: Not Required

Note You need to log in before you can comment on or make changes to this bug.